unregister_netdev
Prev | Driver Support | Next

## Name

unregister_netdev — remove device from the kernel

## Synopsis

`void unregister_netdev (` | struct net_device * | dev`)`;

## Arguments

`dev`

  device

## Description

This function shuts down a device interface and removes it from the kernel tables.

This is just a wrapper for unregister_netdevice that takes the rtnl semaphore. In general you want to use this and not unregister_netdevice.

Prev | Up | Next
unregister_netdevice | Home | netdev_compute_features